Imports System
Imports System.ComponentModel

Imports DevExpress.Xpo
Imports DevExpress.Data.Filtering

Imports DevExpress.ExpressApp
Imports DevExpress.Persistent.Base
Imports DevExpress.Persistent.BaseImpl
Imports DevExpress.Persistent.Validation

<DefaultClassOptions()> _
<NonPersistent()> _
<NavigationItem(False), CreatableItem(False)> _
Public Class DeliveryNoteOutfromStorageOutrowsInRowsPopup
    Inherits BaseObject
    Public Sub New(ByVal session As Session)
        MyBase.New(session)
    End Sub
    Public Overrides Sub AfterConstruction()
        MyBase.AfterConstruction()
    End Sub

    Private _DeliveryNoteOutType As DeliveryNoteOutType
    Private _CustomersFrom As CustomersFrom ' Sajátcég
    Private _Customers As Customers ' Ügyfél
    Private _ShipmentOption As ShipmentOption ' Szállítási opció
    Private _QualityOption As QualityOption ' Minőségi opció
    Private _CurrencyName As CurrencyName ' Deviza
    Private _Note As String ' Megjegyzés
    Private _TransportAddress As Address ' -- Szállítási cím

    Property DeliveryNoteOutType As DeliveryNoteOutType
        Get
            Return _DeliveryNoteOutType
        End Get
        Set(value As DeliveryNoteOutType)
            SetPropertyValue("DeliveryNoteOutType", _DeliveryNoteOutType, value)
            If Not Session.IsObjectsLoading And Not Session.IsObjectsSaving Then
                If value IsNot Nothing Then
                    CurrencyName = value.CurrencyName
                End If
            End If
        End Set
    End Property
    Property Customers() As Customers
        Get
            Return _Customers
        End Get
        Set(ByVal value As Customers)
            SetPropertyValue("Customers", _Customers, value)
        End Set
    End Property
    Property CustomersFrom() As CustomersFrom
        Get
            Return _CustomersFrom
        End Get
        Set(ByVal value As CustomersFrom)
            SetPropertyValue("CustomersFrom", _CustomersFrom, value)
        End Set
    End Property
    Property ShipmentOption() As ShipmentOption
        Get
            Return _ShipmentOption
        End Get
        Set(ByVal value As ShipmentOption)
            SetPropertyValue("ShipmentOption", _ShipmentOption, value)
        End Set
    End Property
    Property QualityOption() As QualityOption
        Get
            Return _QualityOption
        End Get
        Set(ByVal value As QualityOption)
            SetPropertyValue("QualityOption", _QualityOption, value)
        End Set
    End Property
    Property CurrencyName() As CurrencyName
        Get
            Return _CurrencyName
        End Get
        Set(ByVal value As CurrencyName)
            SetPropertyValue("CurrencyName", _CurrencyName, value)
        End Set
    End Property
    <Size(-1)> _
    Property Note() As String
        Get
            Return _Note
        End Get
        Set(ByVal value As String)
            SetPropertyValue("Note", _Note, value)
        End Set
    End Property
    Property TransportAddress As Address
        Get
            Return _TransportAddress
        End Get
        Set(value As Address)
            SetPropertyValue("TransportAddress", _TransportAddress, value)
        End Set
    End Property

End Class
